﻿/* Copyright 2013 Forex Capital Markets LLC

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use these files except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
using System;
using System.Collections.Generic;
using System.Text;

namespace GetHistPricesGUI
{
    /// <summary>
    /// The login parameters.
    /// </summary>
    class LoginParams
    {
        #region Properties

        /// <summary>
        /// Gets/sets a login.
        /// </summary>
        public string Login;

        /// <summary>
        /// Gets/sets a password.
        /// </summary>
        public string Password;

        /// <summary>
        /// Gets/sets a connection (Demo/Real).
        /// </summary>
        public string Connection;

        /// <summary>
        /// Gets/sets a URL.
        /// </summary>
        public string URL;

        #endregion

        /// <summary>
        /// Loads default parameters from the program settings.
        /// </summary>
        public void Load()
        {
            Login = Properties.Settings.Default.Login;
            Connection = Properties.Settings.Default.Connection;
            URL = Properties.Settings.Default.URL;
            Password = "";
        }

        /// <summary>
        /// Saves login parameters to the program settings.
        /// These parameters become default parameters.
        /// </summary>
        public void Save()
        {
            Properties.Settings.Default.Login = Login;
            Properties.Settings.Default.Connection = Connection;
            Properties.Settings.Default.URL = URL;

            Properties.Settings.Default.Save();
        }
    }
}
