﻿/* Copyright 2013 Forex Capital Markets LLC

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use these files except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace GetHistPricesGUI
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            if (Environment.OSVersion.Version.Major >= 6)
                SetProcessDPIAware();
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            PriceAPIController controller = new PriceAPIController();

            try
            {
                LoginForm loginForm = new LoginForm(controller);
                if (loginForm.ShowDialog() == DialogResult.OK)
                {
                    GetHistoryForm getHistoryForm = new GetHistoryForm(controller);
                    getHistoryForm.ShowDialog();
                }
            }
            catch (Exception e)
            {
                Util.ShowError(e.Message);
            }
            finally
            {
                controller.release();
            }
        }

        [System.Runtime.InteropServices.DllImport("user32.dll")]
        private static extern bool SetProcessDPIAware();
    }
}
