@echo off

set project_file=GetHistPricesGUI.csproj
set build_config=Release
set local_tgt_platform=x86

IF /i "%1" == "debug" (
    set build_config=Debug
) ELSE (
    set build_config=Release
)

@echo build_config=%build_config% %conf_suffix%
@echo.

:VS80
    @if /i "%VS80COMNTOOLS%" == "" (
            @echo Variable VS80COMNTOOLS is not set or contains wrong path. Checking VS100COMNTOOLS...
            goto VS100
        )
    call :unquoteStr ENV_SETUP "%VS80COMNTOOLS%vsvars32.bat"
    @echo Using "%ENV_SETUP%" environment configuration script.
    call "%ENV_SETUP%"
    call msbuild %project_file% /p:Configuration=%build_config% /p:platform=%local_tgt_platform%
@goto :eof

:VS100
    @if /i "%VS100COMNTOOLS%" == "" (
            @echo Variable VS100COMNTOOLS is not set or contains wrong path. Checking VS110COMNTOOLS...
            goto VS110
        )
    call :unquoteStr ENV_SETUP "%VS100COMNTOOLS%vsvars32.bat"
    @echo Using "%ENV_SETUP%" environment configuration script.
    call "%ENV_SETUP%"
    call msbuild %project_file% /p:Configuration=%build_config% /p:platform=%local_tgt_platform%
@goto :eof

:VS110
    @if /i "%VS110COMNTOOLS%" == "" (
            @echo Variable VS110COMNTOOLS is not set or contains wrong path. Checking VS120COMNTOOLS...
            goto VS120
        )
    call :unquoteStr ENV_SETUP "%VS110COMNTOOLS%vsvars32.bat"
    @echo Using "%ENV_SETUP%" environment configuration script.
    call "%ENV_SETUP%"
    call msbuild %project_file% /p:Configuration=%build_config% /p:platform=%local_tgt_platform%
@goto :eof

:VS120
    @if /i "%VS120COMNTOOLS%" == "" (
            @echo Variable VS120COMNTOOLS is not set or contains wrong path.
            goto ENV_ERR
        )
    call :unquoteStr ENV_SETUP "%VS120COMNTOOLS%vsvars32.bat"
    @echo Using "%ENV_SETUP%" environment configuration script.
    call "%ENV_SETUP%"
    call msbuild %project_file% /p:Configuration=%build_config% /p:platform=%local_tgt_platform%
@goto :eof


:ENV_ERR
    echo Can not setup visual studio environment. 
    set null
@goto :eof


:unquoteStr
    set %1=%~2
@goto :eof
