# GetHistPricesGUI installer
# NSIS 2.26+ is required!

!addplugindir plugins
; include for some of the windows messages defines
!include "winmessages.nsh"

!define PROGRAMNAME GetHistPricesGUI
!define VERSION 1.0.0
!define SNAPSHOTDIR snapshot

!ifndef win32
  !ifndef win64
        !warning "Target architecture is not defined. Using default win32 configuration."
        !define win32
  !endif
!endif

!ifdef win32
    !define suffix
!else
    !define suffix x64
!endif

Name ${PROGRAMNAME}${suffix}

!ifdef win32
    !echo "win32 is defined - building installer for win32"
    Caption "${PROGRAMNAME}"
    InstallDir "$PROGRAMFILES32\Candleworks\GetHistPricesGUI"
    !define platform win32
!else
    !echo "win64 is defined - building installer for win64"
    Caption "${PROGRAMNAME}x64"
    InstallDir "$PROGRAMFILES64\Candleworks\GetHistPricesGUIx64"
    !define platform win64
!endif

OutFile "${PROGRAMNAME}-${VERSION}-${platform}.exe"

SetCompressor /SOLID lzma
SetCompressorDictSize 64

LicenseText "Please, read carefully"
LicenseData "license.txt"
Page license
Page directory
Page instfiles
UninstPage uninstConfirm
UninstPage instfiles

RequestExecutionLevel admin

Section "Install"
  CreateDirectory "$SMPROGRAMS\${PROGRAMNAME}${suffix}"
  CreateShortCut "$SMPROGRAMS\${PROGRAMNAME}${suffix}\Uninstall.lnk" "$INSTDIR\uninst.exe"
  CreateShortCut "$SMPROGRAMS\${PROGRAMNAME}${suffix}\Get History Prices.lnk" "$INSTDIR\GetHistPricesGUI.exe"

  CreateDirectory "$INSTDIR"
  SetOutPath "$INSTDIR"
  File "${SNAPSHOTDIR}\ForexConnect.dll"
  File "${SNAPSHOTDIR}\fxcore2.dll"
  File "${SNAPSHOTDIR}\fxmsg.dll"
  File "${SNAPSHOTDIR}\fxtp.dll"
  File "${SNAPSHOTDIR}\GetHistPricesGUI.exe"
  File "${SNAPSHOTDIR}\GetHistPricesGUI.exe.config"
  File "${SNAPSHOTDIR}\gsexpat.dll"
  File "${SNAPSHOTDIR}\gstool3.dll"
  File "${SNAPSHOTDIR}\gszlib.dll"
  File "${SNAPSHOTDIR}\httplib.dll"
  File "${SNAPSHOTDIR}\log4cplus.dll"
  File "${SNAPSHOTDIR}\msvcp80.dll"
  File "${SNAPSHOTDIR}\msvcr80.dll"
  File "${SNAPSHOTDIR}\pdas.dll"
  File "${SNAPSHOTDIR}\pricehistorymgr.dll"
  File "${SNAPSHOTDIR}\pricehistorymgr_net.dll"
  File "${SNAPSHOTDIR}\quotesmgr2.dll"
  File "${SNAPSHOTDIR}\quotesmgr2_net.dll"
  File "${SNAPSHOTDIR}\sqlite3.8.dll"

  ; write env variable 

  ; make sure windows knows about the change
  SendMessage ${HWND_BROADCAST} ${WM_WININICHANGE} 0 "STR:Environment" /TIMEOUT=5000

  AccessControl::GrantOnFile "$INSTDIR" "(BU)" "GenericRead + GenericWrite"

  SetOutPath "$INSTDIR"
  WriteUninstaller "uninst.exe"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PROGRAMNAME}${suffix}" "DisplayName" "${PROGRAMNAME}${suffix} (remove only)"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PROGRAMNAME}${suffix}" "UninstallString" '"$INSTDIR\uninst.exe"'
SectionEnd

Section "Uninstall"
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PROGRAMNAME}${suffix}"

  Delete "$SMPROGRAMS\${PROGRAMNAME}${suffix}\Get History Prices.lnk"
  Delete "$SMPROGRAMS\${PROGRAMNAME}${suffix}\Uninstall.lnk"
  RMDir "$SMPROGRAMS\${PROGRAMNAME}${suffix}"

  Delete "$INSTDIR\ForexConnect.dll"
  Delete "$INSTDIR\fxcore2.dll"
  Delete "$INSTDIR\fxmsg.dll"
  Delete "$INSTDIR\fxtp.dll"
  Delete "$INSTDIR\GetHistPricesGUI.exe"
  Delete "$INSTDIR\GetHistPricesGUI.exe.config"
  Delete "$INSTDIR\gsexpat.dll"
  Delete "$INSTDIR\gstool3.dll"
  Delete "$INSTDIR\gszlib.dll"
  Delete "$INSTDIR\httplib.dll"
  Delete "$INSTDIR\log4cplus.dll"
  Delete "$INSTDIR\msvcp80.dll"
  Delete "$INSTDIR\msvcr80.dll"
  Delete "$INSTDIR\pdas.dll"
  Delete "$INSTDIR\pricehistorymgr.dll"
  Delete "$INSTDIR\pricehistorymgr_net.dll"
  Delete "$INSTDIR\quotesmgr2.dll"
  Delete "$INSTDIR\quotesmgr2_net.dll"
  Delete "$INSTDIR\sqlite3.8.dll"

  RMDir /r "$INSTDIR\History"

  Delete "$INSTDIR\uninst.exe"
  RMDir "$INSTDIR"

  ; delete env variable 

SectionEnd
